public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/oauth2/
Date: Mon, 30 Jul 2018 20:59:28 +0000 (UTC)	[thread overview]
Message-ID: <1532984356.89a4ee18a5b00f49a901c7808f90a4c157d3896a.graaff@gentoo> (raw)

commit:     89a4ee18a5b00f49a901c7808f90a4c157d3896a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 30 20:57:57 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 30 20:59:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89a4ee18

dev-ruby/oauth2: loosen faraday dependency

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-ruby/oauth2/oauth2-1.4.0-r1.ebuild | 46 ++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/dev-ruby/oauth2/oauth2-1.4.0-r1.ebuild b/dev-ruby/oauth2/oauth2-1.4.0-r1.ebuild
new file mode 100644
index 00000000000..d79d21c9015
--- /dev/null
+++ b/dev-ruby/oauth2/oauth2-1.4.0-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+RUBY_FAKEGEM_TASK_DOC="doc:rdoc"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="oauth2.gemspec"
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="Wrapper for the OAuth 2.0 protocol with a similar style to the OAuth gem"
+HOMEPAGE="https://github.com/intridea/oauth2"
+SRC_URI="https://github.com/intridea/oauth2/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/faraday-0.8 <dev-ruby/faraday-0.15
+	>=dev-ruby/jwt-1.0 =dev-ruby/jwt-1*
+	>=dev-ruby/multi_json-1.3 =dev-ruby/multi_json-1*
+	>=dev-ruby/multi_xml-0.5:0
+	>=dev-ruby/rack-1.2:* <dev-ruby/rack-3:*"
+ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
+
+all_ruby_prepare() {
+	sed -i -e '/faraday/ s/0.13/0.15/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	sed -i -e '/simplecov/,/^  end/ s:^:#:' \
+		-e '1irequire "uri"' spec/helper.rb || die
+
+	sed -i -e '/yardstick/,/^end/ s:^:#:' \
+		-e '/bundler/I s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+	CI=true ${RUBY} -S rspec-3 spec || die
+}


             reply	other threads:[~2018-07-30 20:59 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-30 20:59 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-11  7:47 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/oauth2/ Hans de Graaff
2023-05-10  7:07 Hans de Graaff
2023-04-07  7:52 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2022-12-05 19:54 Arthur Zamarin
2022-07-29  4:48 Hans de Graaff
2022-07-20 17:01 Sam James
2022-07-20 17:01 Sam James
2022-07-20  5:38 Hans de Graaff
2022-06-25  6:22 Hans de Graaff
2022-05-08  7:28 Hans de Graaff
2021-03-20  7:09 Hans de Graaff
2020-09-06  6:48 Hans de Graaff
2020-09-06  6:48 Hans de Graaff
2020-07-20  1:51 Sam James
2020-07-11 17:08 Sam James
2020-07-05  8:40 Sergei Trofimovich
2020-05-07  4:32 Hans de Graaff
2020-05-07  4:32 Hans de Graaff
2020-02-16  7:30 Hans de Graaff
2020-02-02  6:32 Hans de Graaff
2020-01-11 16:12 Hans de Graaff
2019-05-13 18:39 Hans de Graaff
2018-12-04  5:41 Hans de Graaff
2018-10-21 10:30 Hans de Graaff
2018-10-14  6:01 Hans de Graaff
2018-07-31  4:53 Hans de Graaff
2018-04-10  6:18 Hans de Graaff
2018-03-25 19:45 Sergei Trofimovich
2018-02-07  6:30 Hans de Graaff
2017-08-26  8:27 Hans de Graaff
2017-08-26  8:27 Hans de Graaff
2017-06-10  5:48 Hans de Graaff
2017-03-04  7:26 Hans de Graaff
2016-12-28  6:52 Hans de Graaff
2016-12-28  6:52 Hans de Graaff
2016-11-08 23:44 Manuel Rüger
2016-07-05  4:14 Hans de Graaff
2016-03-06 20:00 Manuel Rüger
2016-02-08  6:41 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1532984356.89a4ee18a5b00f49a901c7808f90a4c157d3896a.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox